Get crypto withdrawal limits
Last updated
Returns the authoritative min and max values for a withdrawal to the selected (network, asset) pair.
Values are already tightened by your resolved limit rules.
The deposit leg is the USD deducted from your balance.
The payout leg is the crypto you receive.
Request query params type:
type QueryParams = {
network: string; // e.g. "POLYGON"
asset: string; // e.g. "USDC"
}Request URL example:
GET /api/v2/merchant-balance/withdrawal/limits?network=POLYGON&asset=USDCResponse type:
Response example:
Last updated
type Response = {
deposit: { // the USD deducted from your balance
min: number;
max: number;
minUsd: number;
maxUsd: number;
step: number;
supportsDecimals: boolean;
};
payout: { // the crypto you receive
min: number;
max: number;
minUsd: number;
maxUsd: number;
step: number;
supportsDecimals: boolean;
};
}{
"deposit": {
"min": 1,
"max": 5000,
"minUsd": 1,
"maxUsd": 5000,
"step": 0.01,
"supportsDecimals": true
},
"payout": {
"min": 1,
"max": 5000,
"minUsd": 1,
"maxUsd": 5000,
"step": 0.000001,
"supportsDecimals": true
}
}
